org.eclipse.emf.cdo.explorer.repositories

## Interface CDORepositoryManager.RepositoryConnectionEvent

- All Superinterfaces:
    IEvent
  Enclosing interface:
    CDORepositoryManager

      public static interface CDORepositoryManager.RepositoryConnectionEvent
      extends IEvent

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDORepository` | `getRepository()`
    `CDORepositoryManager` | `getSource()`
    `boolean` | `isConnected()`

- - ### Method Detail

    - #### getSource

          CDORepositoryManager getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### getRepository

          CDORepository getRepository()

    - #### isConnected

          boolean isConnected()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html